@charset "UTF-8";

.sidebar-collapsible[role="directory"]{
    transition:
            min-width .15s ease-out,
            max-width .15s ease-out;
    border-right:1px solid rgba(0,0,0,.075);
    background-color: #FFF;
    box-sizing: border-box;
}

.sidebar-collapsible [role="group"] {
    display: block;
    width: 100%;
    position: sticky;
    top: 48px;
    bottom: 0;
    left:0;
    box-sizing: border-box;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;

}

.sidebar-collapsible[role="directory"][aria-expanded="false"]{
    width: 64px;
    max-width: 64px;
    min-width: 64px;
}

.sidebar-collapsible[role="directory"][aria-expanded="true"] {
    width: 256px;
    max-width: 256px;
    min-width: 256px;
}

.sidebar-collapsible-switch[role="switch"]{
    display: flex;
    align-items: center;
    width: 100%;
    position: sticky;
    top:calc(100% - 48px);
    height: 48px;
    padding: 8px;
    background-color: #F0F0F0;
    z-index: 5;
    stroke:#012;
    border:0;
    outline: none;
    cursor: pointer;
    transition:var(--control-transition);
}

.sidebar-collapsible-switch[role="switch"]:hover {
    stroke: #04F;
    background-color: #DEF;
}


.sidebar-collapsible-switch[role="switch"] [role="img"]{
    display: block;
    width: 32px;
    height: 32px;
    margin: 0 8px 0 auto;
    transition: transform .25s ease-out,
    stroke .25s ease-out;
}

.sidebar-collapsible[aria-expanded="true"] > [role="switch"] > [role="img"]{
    transform: rotate(180deg);
}